Subject: Re: [PATCH RFC net-next 1/4] ipv4: fib_rules: support match on sport, dport and ip proto

From: Eric Dumazet <[email-masked]>
Date: Mon, 12 Feb 2018 13:54:59 -0800

On Mon, 2018-02-12 at 16:05 -0500, David Miller wrote:
> From: Eric Dumazet <[email-masked]>
> Date: Mon, 12 Feb 2018 12:49:33 -0800
> 
> > Any setup with about 20 rules to be evaluated (per packet cost) will
> > feel the pain...
> > 
> > I wonder if we could JIT/eBPF this thing.
> 
> That's true for the software implementation angle.
> 
> But I bet anyone actually using this thing will get it hardware
> offloaded.

I wish :)

We had project/teams using different routing tables for each vlan they
setup :/

Setups with tunnels are doubly impacted, it is really easy to reach 20
evaluated rules per incoming and outgoing packet.